apport-kde crashed with UnicodeDecodeError in run_crash(): 'ascii' codec can't decode byte 0xc3 in position 5: ordinal not in range(128)

Bug #738632 reported by Artur Rona
128
This bug affects 20 people
Affects Status Importance Assigned to Milestone
apport (Ubuntu)
Low
Unassigned

Bug Description

Binary package hint: apport

I can't report other bugs at this moment.

ProblemType: Crash
DistroRelease: Ubuntu 11.04
Package: apport-kde 1.20-0ubuntu1
ProcVersionSignature: Ubuntu 2.6.38-5.32-generic 2.6.38-rc6
Uname: Linux 2.6.38-5-generic i686
NonfreeKernelModules: nvidia
Architecture: i386
CrashReports:
 600:1000:1000:37623:2011-03-12 16:23:40.000000000 +0100:2011-03-19 23:29:30.000000000 +0100:/var/crash/_usr_bin_update-manager.1000.crash
 600:1000:1000:4769640:2011-03-20 11:29:32.000000000 +0100:2011-03-20 11:37:52.000000000 +0100:/var/crash/_usr_bin_geany.1000.crash
 600:1000:1000:16733270:2011-03-14 15:51:34.000000000 +0100:2011-03-19 23:33:16.000000000 +0100:/var/crash/_usr_bin_clementine.1000.crash
 600:1000:1000:36346:2011-03-20 11:37:51.000000000 +0100:2011-03-20 11:37:56.000000000 +0100:/var/crash/_usr_share_apport_apport-kde.1000.crash
Date: Sun Mar 20 11:37:52 2011
ExecutablePath: /usr/share/apport/apport-kde
InstallationMedia: Ubuntu 10.04 LTS "Lucid Lynx" - Release i386 (20100429)
InterpreterPath: /usr/bin/python2.7
ProcCmdline: /usr/bin/python /usr/share/apport/apport-kde -c /var/crash/_usr_bin_geany.1000.crash
ProcEnviron:
 PATH=(custom, user)
 LANG=pl_PL.UTF-8
 SHELL=/bin/bash
PythonArgs: ['/usr/share/apport/apport-kde', '-c', '/var/crash/_usr_bin_geany.1000.crash']
SourcePackage: apport
Title: apport-kde crashed with UnicodeDecodeError in run_crash(): 'ascii' codec can't decode byte 0xc3 in position 5: ordinal not in range(128)
UpgradeStatus: Upgraded to natty on 2011-02-26 (21 days ago)
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare

Revision history for this message
Artur Rona (ari-tczew) wrote :
visibility: private → public
tags: removed: need-duplicate-check
Revision history for this message
Martin Pitt (pitti) wrote :

Fixed in trunk, thanks!

Changed in apport (Ubuntu):
importance: Undecided → Low
status: New → Fix Committed
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package apport - 1.20.1-0ubuntu1

---------------
apport (1.20.1-0ubuntu1) natty; urgency=low

  * New upstream bug fix release:
    - Add bash completion support for new -w/--window option that was
      introduced in 1.20. Thanks Philip Muškovac.
    - apport-unpack: Fix crash if target directory already exists.
    - Fix crash if UnreportableReason is a non-ASCII string. (LP: #738632)
    - Fix crash if application from desktop name is a non-ASCII string.
      (LP: #737799)
    - unkillable_shutdown: Fix rare crash if ExecutablePath does not exist
      (any more). (LP: #537904)
    - kernel_crashdump: Fix crash if the vmcore file disappeared underneath
      us. (LP: #450295)
    - unkillable_shutdown: Fix crash if the checked process terminated
      underneath us. (LP: #540436)
    - ui.py: Properly raise exceptions from the upload thread that happen at
      its very end. (LP: #469943)
  * data/package-hooks/source_ubiquity.py: Read root-only accessible log files
    as root. (LP: #745455)
 -- Martin Pitt <email address hidden> Thu, 31 Mar 2011 17:37:16 +0200

Changed in apport (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers